# Core API

### Introduction <a href="#introduction" id="introduction"></a>

**Core API** enables communication between your system and Finpay payment gateway system. The payment page and data input is native to the merchant's website/application, without having redirect to a Finpay PG Hosted page. Having the payment form on the merchant page does not compromise the security of the cardholder however, none of the cardholder data will actually be stored on the merchant’s server.

### Transaction Flow <a href="#transaction-flow" id="transaction-flow"></a>

The overall end-to-end payment process in Core API is illustrated in following sequence diagram:

{% @mermaid/diagram content="sequenceDiagram
actor Customer as End Customer
participant Merchant
participant Finpay
participant sof as Payment Channel Provider

```
Customer->>Merchant: Choose payment method
Merchant->>Finpay: Request Payment initiate
Finpay->>Merchant: Response Payment initiate
Merchant->>Customer: Show payment details
Customer-->>Customer: Pay on selected provider
sof->>Finpay: Callback Notification
Finpay->>Merchant: Callback Notification
Merchant->>Customer: Notify transaction status" %}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
